export declare const createDBConnection: (dbOptions?: Partial<import("typeorm/driver/mysql/MysqlConnectionOptions").MysqlConnectionOptions> | Partial<import("typeorm/driver/postgres/PostgresConnectionOptions").PostgresConnectionOptions> | Partial<import("typeorm/driver/cockroachdb/CockroachConnectionOptions").CockroachConnectionOptions> | Partial<import("typeorm/driver/sqlite/SqliteConnectionOptions").SqliteConnectionOptions> | Partial<import("typeorm/driver/sqlserver/SqlServerConnectionOptions").SqlServerConnectionOptions> | Partial<import("typeorm/driver/oracle/OracleConnectionOptions").OracleConnectionOptions> | Partial<import("typeorm/driver/cordova/CordovaConnectionOptions").CordovaConnectionOptions> | Partial<import("typeorm/driver/nativescript/NativescriptConnectionOptions").NativescriptConnectionOptions> | Partial<import("typeorm/driver/react-native/ReactNativeConnectionOptions").ReactNativeConnectionOptions> | Partial<import("typeorm/driver/sqljs/SqljsConnectionOptions").SqljsConnectionOptions> | Partial<import("typeorm/driver/mongodb/MongoConnectionOptions").MongoConnectionOptions> | Partial<import("typeorm/driver/expo/ExpoConnectionOptions").ExpoConnectionOptions>) => Promise<import("typeorm").Connection>;
export declare const mockDBConnection: (dbOptions?: Partial<import("typeorm/driver/mysql/MysqlConnectionOptions").MysqlConnectionOptions> | Partial<import("typeorm/driver/postgres/PostgresConnectionOptions").PostgresConnectionOptions> | Partial<import("typeorm/driver/cockroachdb/CockroachConnectionOptions").CockroachConnectionOptions> | Partial<import("typeorm/driver/sqlite/SqliteConnectionOptions").SqliteConnectionOptions> | Partial<import("typeorm/driver/sqlserver/SqlServerConnectionOptions").SqlServerConnectionOptions> | Partial<import("typeorm/driver/oracle/OracleConnectionOptions").OracleConnectionOptions> | Partial<import("typeorm/driver/cordova/CordovaConnectionOptions").CordovaConnectionOptions> | Partial<import("typeorm/driver/nativescript/NativescriptConnectionOptions").NativescriptConnectionOptions> | Partial<import("typeorm/driver/react-native/ReactNativeConnectionOptions").ReactNativeConnectionOptions> | Partial<import("typeorm/driver/sqljs/SqljsConnectionOptions").SqljsConnectionOptions> | Partial<import("typeorm/driver/mongodb/MongoConnectionOptions").MongoConnectionOptions> | Partial<import("typeorm/driver/expo/ExpoConnectionOptions").ExpoConnectionOptions>) => Promise<import("typeorm").Connection>;
export declare function getBaseConfig(): {
    cli: {
        entitiesDir: string;
        migrationsDir: string;
        subscribersDir: string;
    };
    database: string;
    entities: string[];
    host: string;
    logger: string;
    logging: string;
    migrations: string[];
    password: string | undefined;
    port: number;
    subscribers: string[];
    synchronize: boolean;
    type: string;
    username: string | undefined;
};
