"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class StringUtil {
    // Ex: HelloWorld -> HELLO_WORLD
    static constantize(str) {
        return (str
            .split(/([A-Z][a-z]+|[a-z]+)/)
            // This will return some empty strings that need to be filtered
            .filter((item) => {
            return item.length > 0;
        })
            .join('_')
            .toUpperCase());
    }
}
exports.StringUtil = StringUtil;
