"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_fields_1 = __importDefault(require("graphql-fields"));
const type_graphql_1 = require("type-graphql");
function Fields() {
    return type_graphql_1.createParamDecorator(({ info }) => {
        const rawFields = graphql_fields_1.default(info);
        const scalars = Object.keys(rawFields).filter(item => {
            return Object.keys(rawFields[item]).length === 0;
        });
        return scalars;
    });
}
exports.Fields = Fields;
