"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const type_graphql_1 = require("type-graphql");
const graphql_1 = require("graphql");
let PageInfoRelay = class PageInfoRelay {
};
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLBoolean),
    __metadata("design:type", Boolean)
], PageInfoRelay.prototype, "hasNextPage", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLBoolean),
    __metadata("design:type", Boolean)
], PageInfoRelay.prototype, "hasPreviousPage", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLString, { nullable: true }),
    __metadata("design:type", String)
], PageInfoRelay.prototype, "startCursor", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLString, { nullable: true }),
    __metadata("design:type", String)
], PageInfoRelay.prototype, "endCursor", void 0);
PageInfoRelay = __decorate([
    type_graphql_1.ObjectType()
], PageInfoRelay);
exports.PageInfoRelay = PageInfoRelay;
function EdgeType(TItemClass) {
    let EdgeRelay = class EdgeRelay {
    };
    __decorate([
        type_graphql_1.Field(() => TItemClass),
        __metadata("design:type", Object)
    ], EdgeRelay.prototype, "node", void 0);
    __decorate([
        type_graphql_1.Field({ description: 'Used in `before` and `after` args' }),
        __metadata("design:type", String)
    ], EdgeRelay.prototype, "cursor", void 0);
    EdgeRelay = __decorate([
        type_graphql_1.ObjectType({ isAbstract: true })
    ], EdgeRelay);
    return EdgeRelay;
}
exports.EdgeType = EdgeType;
function ConnectionType(_TItemClass, Edge) {
    let ConnectionRelay = class ConnectionRelay {
    };
    __decorate([
        type_graphql_1.Field(),
        __metadata("design:type", PageInfoRelay)
    ], ConnectionRelay.prototype, "pageInfo", void 0);
    __decorate([
        type_graphql_1.Field(() => [Edge]),
        __metadata("design:type", Array)
    ], ConnectionRelay.prototype, "edges", void 0);
    __decorate([
        type_graphql_1.Field(),
        __metadata("design:type", AggregateRelay)
    ], ConnectionRelay.prototype, "aggregate", void 0);
    ConnectionRelay = __decorate([
        type_graphql_1.ObjectType({ isAbstract: true })
    ], ConnectionRelay);
    return ConnectionRelay;
}
exports.ConnectionType = ConnectionType;
let AggregateRelay = class AggregateRelay {
};
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLInt),
    __metadata("design:type", Number)
], AggregateRelay.prototype, "count", void 0);
AggregateRelay = __decorate([
    type_graphql_1.ObjectType()
], AggregateRelay);
exports.AggregateRelay = AggregateRelay;
