"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const string_1 = require("./string");
class ObjectUtil {
    // Ex: prefixKeys({one: 1}, 'PRE_') => {PRE_one: 1}
    static prefixKeys(obj, prefix) {
        return Object.keys(obj).reduce((result, key) => {
            result[`${prefix}${key}`] = obj[key];
            return result;
        }, {});
    }
    // Ex: constantizeKeys({helloWorld: 1}) => {HELLO_WORLD: 1}
    static constantizeKeys(obj) {
        return Object.keys(obj).reduce((result, key) => {
            result[string_1.StringUtil.constantize(key)] = obj[key];
            return result;
        }, {});
    }
}
exports.ObjectUtil = ObjectUtil;
